List Groups
/unified/user-directory/groups
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
6 supported6 required2 notes
Unique identifier of the organization to fetch the teams for.
Slug of the organization (e.g. "truto-1")
4 supported3 required
Type of the group.
departmentgroupproductteam
100 supported7 required
teamproductteamgroupdepartmentgroupteamgroupteamgroupdepartmentgroupdepartmentgroupName of the group.
112 supported
The field to sort the resource by. The possible field is name.
created_atidname
5 supported
idnamenamenamecreated_atIf true, list groups instead of projects.
1 supported
When is_group=true and workspace_id is provided, include nested descendant groups.
1 supported
Date and time when the group was created.
50 supported
Date and time when the group was last updated.
44 supported
Description of the group.
41 supported
The unique identifier for a user.
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Groups
Unique identifier for the group.
112 supported
Date and time when the group was created.
50 supported
Description of the group.
41 supported
Type of the group.
teamdepartmentgroup
100 supported
Name of the group.
112 supported
Unique identifier for the organization the group belongs to.
8 supported
Raw data returned from the remote API call.
Date and time when the group was last updated.
44 supported
curl -X GET 'https://api.truto.one/unified/user-directory/groups?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/user-directory/groups?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/groups"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'user-directory',
'groups',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"user-directory",
"groups",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())